summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-01-24 02:29:24 +0100
committerHolger Levsen <holger@layer-acht.org>2017-01-24 02:29:24 +0100
commit17863591b6ab616a0568e2a882224ae031e4c666 (patch)
tree6bd48c0817cf23e77da8d24a9b008c288ae38a9d /bin/reproducible_maintenance.sh
parent64bd4113d0f5b6c8dd69e117cc94f85d535791b2 (diff)
downloadjenkins.debian.net-17863591b6ab616a0568e2a882224ae031e4c666.tar.xz
Revert "reproducible Debian: drop check for MTU!=1500, this is appearantly fine…"
This reverts commit ce9d61f53c49f8bcd937fd5add90bce04e1ef84e.
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 1f775ecb..4ccb9e0d 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -97,6 +97,13 @@ if ! test -L /run/shm ; then
elif [ "$(readlink /run/shm)" != "/dev/shm" ] ; then
echo "Warning: /run/shm is a link, but not pointing to /dev/shm on $HOSTNAME, please tell the jenkins admins to fix this."
show_fstab_and_mounts
+# check for correct MTU
+echo "$(date -u) - testing whether the network interfaces MTU is 1500..."
+if [ "$(ip link | sed -n '/LOOPBACK\|NOARP/!s/.* mtu \([0-9]*\) .*/\1/p' | sort -u)" != "1500" ] ; then
+ ip link
+ echo "$(date -u) - network interfaces MTU != 1500 - this is wrong. => please \`sudo ifconfig eth0 mtu 1500\`"
+ irc_message debian-reproducible "$HOSTNAME has wrong MTU, please tell the jenkins admins to fix this. (sudo ifconfig eth0 mtu 1500)"
+ exit 1
fi
echo "$(date -u) - updating the schroots and pbuilder now..."